<?xml version='1.0'?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0"
                xmlns="http://www.w3.org/TR/REC-html40">


<!-- This is version 1.0 of the iptc TopicSet stylesheet produced by David Allen, MD IPTC Copyright 2001 IPTC-->
<!-- It requires the Oct 2000 version of MSXML3.DLL and IE5.0 to be displayed-->

<xsl:output method="html"
         doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>


<xsl:template match="TopicSet">
  <!-- root rule -->
  <html>
    <head>
<title>NewsML TopicSet</title>
</head>
<div style="margin:1em;border-style:solid double;border-width:thick;border-color:#FF0000;padding:0.2em">
    <body>
<span style="font:bold;color:#FF0000;font-size:16pt">
<xsl:value-of select="@FormalName"/>
</span>
<xsl:apply-templates/> 
</body>
</div>
</html>
 </xsl:template>

<xsl:template match="Comment">
<div style="color:#FF0000">
<xsl:value-of select="(.)"/>
</div>
</xsl:template>


<xsl:template match="Topic">
<div>
<xsl:choose>
<xsl:when test="TopicType[@FormalName='Subject']">
<span style="color:#0000FF;font-size:14pt">
<span style="font-weight:bold">
<xsl:value-of select="TopicType/@FormalName"/>
</span>
<xsl:apply-templates/>
</span>
</xsl:when>
<xsl:when test="TopicType[@FormalName='SubjectMatter']">
<span style="color:#000000;font-size:12pt">
<xsl:text>&#160;&#160;&#160;&#160;&#160;</xsl:text>
<xsl:value-of select="TopicType/@FormalName"/>
<xsl:apply-templates/>
</span>
</xsl:when>
<xsl:when test="TopicType[@FormalName='SubjectDetail']">
<span style="color:#000000;font-size:10pt">
<xsl:text>&#160;&#160;&#160;&#160;&#160;</xsl:text>
<xsl:text>&#160;&#160;&#160;&#160;&#160;</xsl:text>
<xsl:value-of select="TopicType/@FormalName"/>
<xsl:apply-templates/>
</span>
</xsl:when>
<xsl:otherwise>
<span style="color:#000000">
<br/>
<xsl:value-of select="TopicType/@FormalName"/>
<xsl:apply-templates/>
</span>
</xsl:otherwise>
</xsl:choose>
</div>
</xsl:template>


<xsl:template match="FormalName">
<xsl:text> = </xsl:text>
<span style="font:bold">
<xsl:value-of select="(.)"/>
</span>
</xsl:template>


<xsl:template match="Description">
<xsl:choose>
<xsl:when test="@Variant">
<xsl:text>&#160;&#160;&#160;&#160;</xsl:text>
<xsl:value-of select="@Variant"/>
</xsl:when>
<xsl:otherwise>
<br/>
<xsl:value-of select="name()"/>
</xsl:otherwise>
</xsl:choose>
<xsl:text> = </xsl:text>
<xsl:value-of select="(.)"/>
</xsl:template>


<xsl:template match="Property">
<div style="font:bold;color:#000000">
<xsl:value-of select="@FormalName"/>
<xsl:text> = </xsl:text>
<xsl:value-of select="@Value"/>
</div>
</xsl:template>


</xsl:stylesheet>






























